Package org.jacoco.core.data

## Interface IExecutionDataVisitor

All Known Implementing Classes:
  `ExecutionDataStore`, `ExecutionDataWriter`, `RemoteControlWriter`

    public interface IExecutionDataVisitor

Interface for data output of collected execution data. This interface is meant to be implemented by parties that want to retrieve data from the coverage runtime.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitClassExecution​(ExecutionData data)` Provides execution data for a class.

### Method Detail

#### visitClassExecution

    void visitClassExecution​(ExecutionData data)

Provides execution data for a class.

Parameters:
  `data` - execution data for a class